# Uses of Class
org.apache.lucene.search.IndexOrDocValuesQuery

Packages that use IndexOrDocValuesQuery
Package
Description
org.apache.lucene.search
Code to search indices.

- ## Uses of IndexOrDocValuesQuery in org.apache.lucene.search

  Methods in org.apache.lucene.search that return IndexOrDocValuesQuery
  Modifier and Type
  Method
  Description
  `static IndexOrDocValuesQuery`
  TermInSetQuery.`newIndexOrDocValuesQuery(MultiTermQuery.RewriteMethod indexRewriteMethod, String field, Collection<BytesRef> terms)`
  Creates a new `IndexOrDocValuesQuery` combining two `TermInSetQuery` with the same terms allowing to pack them only once that's faster.